/* 全局样式 */
/* 定义字体 */
@font-face {
  font-family: "Poppins";
  src: url("../Poppins/Poppins-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Poppins";
  src: url("../Poppins/Poppins-Bold.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Poppins";
  src: url("../Poppins/Poppins-Black.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}
html {
  overflow-x: hidden;
}
html,
body {
  width: 100%;
  background: #fff;
  font-family: "Poppins";
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  font-family: "Poppins";
  background: #fff;
  color: #222;
}
a {
  text-decoration: none;
  color: inherit;
}
a:focus-visible {
  outline: none;
}
li {
  list-style: none;
}
.container {
  max-width: 1208px;
  margin: 0 auto;
}
@media screen and (max-width: 1200px) {
  .container {
    padding: 0 16px;
  }
}

body {
  font-family: "Poppins";
  background: #fff;
  color: #222;
  position: relative;
}
.sidebar-right{
  position: fixed;
  bottom: 100px;
  right: 60px;
  z-index: 99999;
  
}
.sidebar-right img{
  width: 60px; 
  height: 60px;
  cursor: pointer;
}
.tg-r-hover{
  display: none;
}

.sidebar-right .block{
  position: relative;
  display: inline-block;
}
.sidebar-right .block:hover .tg-r-hover{
  display: block;
}
.sidebar-right .block:hover .tg-r{
  display: none;
}
.sidebar-right .tip1{
  position: absolute;
  display: none;
  width: 175px;
  background: #fff;
  padding: 8px 12px;
  top: -50px;
  left: -120px;
  box-shadow: 0px 0px 5px 0px rgba(9,44,78,0.1);
  border-radius: 18px;
border: 1px solid #DFE6F3;
color: #041E39FF;
word-break: break-all;
  font-size: 14px;
  z-index: 100000;
}
.sidebar-right .block:hover .tip1,
.sidebar-right .tip:hover{
  display: inline-block;
}
    .containerbox {
      display: flex;
      gap:16px;
      justify-content: center;
      flex-wrap: wrap;
    }

    .card {
      width: 390px;
      height: 218px;
      border-radius: 12px;
      background-color: white;
     box-shadow: 0px 2px 8px 0px rgba(223,230,243,0.65);
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      text-align: center;
      cursor: pointer;
    }
  .mac-card {
  position: relative;
}
.hoverMac, .hideMac {
  position: absolute;
  top: 18%;
  left: 0;
  width: 100%;
  transition: opacity 0.3s ease;
}
.hideMac {
  opacity: 0;
  pointer-events: none;
}
.mac-card:hover .hoverMac {
  opacity: 0;
  pointer-events: none;
}
.mac-card:hover .hideMac {
  opacity: 1;
  pointer-events: auto;
}
    .iconbox {
      width: 68px;
      height: 68px;
      margin-bottom: 12px;
    }

    .platform-name {
      font-size: 18px;
      font-weight: 600;
      color: #1a365d;
      margin: 0;
    }

    .version {
      font-size: 14px;
      color: #666;
      margin-top: 4px;
    }
    .namebox{
      color: #4F5C65;
      font-size: 16px;
      font-weight: 400;
      margin-top: 30px;
    }